<DOCTYPE html>
<html>
    <head>
        <title>Mon blog</title>
        <meta charset="UTF-8" />
        <link href="style.css" rel="stylesheet" type="text/css" />
    </head>
         
    <body>
        <h1>Mon super blog !</h1>
        <p><a href="01-TPblog.php">Retour à la liste des billets</a></p>
  
        <?php
            // Connexion à la base de données
            include("connexion.php");  
            $bdd=connexionBD('tp_blog');       
            // Récupération du billet
            $reqSQL='
                SELECT id, titre, contenu, DATE_FORMAT(date_creation, \'%d/%m/%Y à %Hh%imin%ss\') AS date_creation_fr 
                FROM articles 
                WHERE id = ?
            ';
            $requete = $bdd->prepare($reqSQL);
            $requete->execute(array($_GET['idBillet']));
            $ligne = $requete->fetch();
        ?>
         
        <div class="news">
            <h3>
                <?php echo htmlspecialchars($ligne['titre']); ?>
                <em>le <?php echo $ligne['date_creation_fr']; ?></em>
            </h3>             
            <p>
                <?php echo nl2br(htmlspecialchars($ligne['contenu'])); ?>
            </p>
        </div>
        <?php $requete->closeCursor();?>

        <h2>Commentaires</h2>             
        <?php
            // Récupération des commentaires
            $reqSQL='
                SELECT auteur, contenu, DATE_FORMAT(date_commentaire, \'%d/%m/%Y à %Hh%imin%ss\') AS date_commentaire_fr 
                FROM commentaires 
                WHERE id_article = ? ORDER BY date_commentaire
            ';
            $req = $bdd->prepare($reqSQL);
            $req->execute(array($_GET['idBillet']));
             
            while ($ligne = $req->fetch())
            {
        ?>
                <p><strong><?php echo htmlspecialchars($ligne['auteur']); ?></strong> le <?php echo $ligne['date_commentaire_fr']; ?></p>
                <p><?php echo nl2br(htmlspecialchars($ligne['contenu'])); ?></p>
        <?php
            } // Fin de la boucle des commentaires
            $requete->closeCursor();
        ?>
    </body>
</html>